<template>
    <div>
        <transition name="slide">
        <div class="card center-align">
            <div class="card-content">
                <div class="card-image-logo">
                    <img src="/images/logo.png" alt="Game-logo">
                </div>
                <h1 class="game-title cursive">Memory Game</h1>
            </div>

            <div class="card-content">
                <p>Informe seu nome e comece a jogar.</p>
                <div class="row">
                    <form @submit.prevent="play()">
                        <div class="input-field col s10 m6 offset-m3">
                            <input v-model="player.name" placeholder="Informe seu nome aqui." id="first_name" type="text" class="validate input-lg center-align">
                        </div>
                    </form>
                </div>
            </div>

            <div class="card-content">
                <button @click="play()" class="btn btn-large"> Jogar</button>
            </div>
        </div>
        </transition>
    </div>
</template>
<script>
    export default {
        'name': 'start-page',
        data() {
           return{
               player: {
                   name:""
               }
           }
        },

        methods: {
            play() {
                this.loading('show')

                if (this.saveName()) {
                    setTimeout(() => {
                        this.$router.push('jogar')
                        this.loading('hide')
                    }, 1000)
                }

            },

            saveName() {
                if (!this.player.name) {
                    alert('Por favor, informe seu nome para jogar.')
                    return false
                }

                sessionStorage.setItem('memory_game_player', this.player.name)

                return Event.fire(`save_player_name`, this.player.name)
            },

            loading(event) {
                Event.fire(`loading-${event}`,{'type':'spinner'})
            }
        }
    }
</script>

<style scoped>
    h1.game-title {
        font-size: 4rem;
        margin: 0;
    }
</style>